## GDataMediaCredit

GDataMediaCredit — Media RSS credit element

## Stability Level

Stable, unless otherwise indicated

## Functions

const gchar * | gdata_media_credit_get_credit ()
const gchar * | gdata_media_credit_get_scheme ()
const gchar * | gdata_media_credit_get_role ()

## Properties

gchar * | credit | Read
gchar * | role | Read
gchar * | scheme | Read

## Types and Values

| GDataMediaCredit
| GDataMediaCreditClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataMediaCredit
                ╰── GDataYouTubeCredit

## Includes

    #include <gdata/media/gdata-media-credit.h>

## Description

GDataMediaCredit represents a "credit" element from the

Media RSS specification.

The class only implements parsing, not XML output, at the moment.

## Functions

### gdata_media_credit_get_credit ()

    const gchar *
    gdata_media_credit_get_credit (GDataMediaCredit *self);

Gets the “credit” property.

#### Parameters

self | a GDataMediaCredit |

#### Returns

the name of the credited entity

Since: 0.4.0

### gdata_media_credit_get_scheme ()

    const gchar *
    gdata_media_credit_get_scheme (GDataMediaCredit *self);

Gets the “scheme” property.

#### Parameters

self | a GDataMediaCredit |

#### Returns

the credit's role scheme, or `NULL`

Since: 0.4.0

### gdata_media_credit_get_role ()

    const gchar *
    gdata_media_credit_get_role (GDataMediaCredit *self);

Gets the “role” property.

#### Parameters

self | a GDataMediaCredit |

#### Returns

the credited entity's role, or `NULL`

Since: 0.4.0

## Types and Values

### GDataMediaCredit

    typedef struct _GDataMediaCredit GDataMediaCredit;

All the fields in the GDataMediaCredit structure are private and should never be accessed directly.

### GDataMediaCreditClass

    typedef struct {
    } GDataMediaCreditClass;

All the fields in the GDataMediaCreditClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“credit”` property

      “credit”                   gchar *

The credited entity's name.

For more information, see the Media RSS specification.

Flags: Read

Default value: NULL

Since: 0.4.0

### The `“role”` property

      “role”                     gchar *

The role the credited entity played in the production of the media.

For more information, see the Media RSS specification.

Flags: Read

Default value: NULL

Since: 0.4.0

### The `“scheme”` property

      “scheme”                   gchar *

A URI that identifies the role scheme.

For more information, see the Media RSS specification.

Flags: Read

Default value: NULL

Since: 0.4.0